Page MenuHomePhabricator

Hardcoded value in [[MediaWiki:Logentry-rights-blockautopromote/en]]
Closed, ResolvedPublic

Description

The message contains hard-coded "5 days, this looks weird.

It was added in rEABF2bdb44d58b0c3b30696e6b0ff9132d2b1837388d .

I understand that you currently also have 5 days hard-coded in AbuseFilterRunner.php but we should not force translators re-translate when the hardcoded value is changed.

Event Timeline

Base created this task.Aug 11 2019, 2:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2019, 2:38 PM

Yeah that's not optimal, I see. Gonna fix.

Change 529612 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] [WIP] Various changes for blockautopromote

https://gerrit.wikimedia.org/r/529612

Daimona claimed this task.Aug 11 2019, 6:35 PM

Marking as blocker because there's an error about the order of parameters, plus I don't want to change format after production already has old entries. Next train is in 10 days anyway so there shouldn't be any problem

zeljkofilipin triaged this task as Unbreak Now! priority.Aug 14 2019, 3:18 PM
zeljkofilipin added a subscriber: zeljkofilipin.

Train blockers are UBN.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 14 2019, 3:18 PM

Change 529612 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Various changes for blockautopromote

https://gerrit.wikimedia.org/r/529612

Daimona closed this task as Resolved.Aug 15 2019, 7:13 AM